Bug 212284 - soundcard doesn't work
soundcard doesn't work
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-10-25 21:33 EDT by Venu Kothuri
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-16 10:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sound card configuration log (46.81 KB, text/plain)
2006-10-25 21:33 EDT, Venu Kothuri
no flags Details
scsconfig (72.84 KB, text/plain)
2007-04-12 11:56 EDT, Venu Kothuri
no flags Details

  None (edit)
Description Venu Kothuri 2006-10-25 21:33:11 EDT
Description of problem: I installed Fedora 6 on dell XPS 410 machine.
Installation was OK but my soundcard doesn't work. It even recognized my sound
modules but doesn't produce any sound. I am attaching scsconfig.log for more
detail. Let me know, if you need further info.

Version-Release number of selected component (if applicable):

How reproducible: by installing

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Venu Kothuri 2006-10-25 21:33:11 EDT
Created attachment 139428 [details]
sound card configuration log
Comment 2 Martin Stransky 2006-10-26 03:22:55 EDT
You have two sound devices, which one doesn't work?

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller 
04:03.0 Multimedia audio controller: Creative Labs SB X-Fi

btw. Creative Labs SB X-Fi isn't supported under linux yet.
Comment 3 Venu Kothuri 2006-10-26 07:53:42 EDT
Both cards are not working. No sound from either of them.
Comment 4 Martin Stransky 2006-10-27 04:17:12 EDT
You can check the latest audio drivers, how-to is here:


and if it doesn't help, report it please to ALSA project (it looks like a driver
Comment 5 Martin Stransky 2006-10-27 04:17:57 EDT
btw. use the FC5 packages.
Comment 6 Venu Kothuri 2007-04-10 09:05:17 EDT
I still have the same issue. How should I use FC5 packages? Do you mean, I
should install FC5 compatible ALSA driver?

Comment 7 Venu Kothuri 2007-04-10 09:06:46 EDT
Also, please let me know if you need further information on the bug.

Venu Kothuri
Comment 8 Martin Stransky 2007-04-10 09:10:12 EDT
Please try to update your system (with updates released for FC-6) or install
drivers from http://people.redhat.com/stransky/alsa/
There're packages for FC-6 now so use them.
Comment 9 Venu Kothuri 2007-04-12 11:56:31 EDT
Created attachment 152478 [details]

I am attaching the latest scsconfig.log
Comment 10 Venu Kothuri 2007-04-12 11:57:17 EDT

Thanks for looking into my issue. I have installed the new alsa drivers and also
unmuted all the devices as given in the instructions. It seems to recognize my
Intel card but no sound. Unlike before there was no 

Any ideas?
Comment 11 Martin Stransky 2007-05-16 10:02:37 EDT
Hm, I have no idea where the problem could be. Log looks sane and the intel card
is properly detected by ALSA sound system.

There's some strange message from kernel:

snd_page_alloc: no version for "struct_module" found: kernel tainted.

but I don't think it's the problem. 

btw. It looks like you have an USB sound card what can collide with your
indet-hda (the snd_usb_audio driver) but it isn't the case here.

Really I don't know. Please report it to the ALSA project
(www.alsa-project.org), they're authors of linux sound system.

Note You need to log in before you can comment on or make changes to this bug.